All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class GraphConstants

    com.sas.graphics.components.GraphConstants

    @SASScope(value="ALL")
    public class GraphConstants

The GraphConstants is a collection of constants used by the graph related classes.

## Usage

## Behavior

Since:
  SAS 9.1
See Also:
  `Graph`, `BarChartModel`, `PieChartModel`, `ScatterPlotModel`

Field Summary
`static int` | `AUTOMATIC`
`static ConstantCollection` | `BAR_SHAPE` BAR_SHAPE enables a set of static actions associated with the public BAR_SHAPE_ constants.
`static int` | `BAR_SHAPE_BLOCK` 3D Block Bar element shape
`static int` | `BAR_SHAPE_CYLINDER` 3D Cylinder Bar element shape
`static ConstantCollection` | `CATEGORIZATION` CATEGORIZATION enables a set of static actions associated with the public CATEGORIZATION_ constants.
`static int` | `CATEGORIZATION_AUTOMATIC` Allow the graph to select its preferred categorization strategy given the current state of the graph.
`static int` | `CATEGORIZATION_EQUAL_DISTRIBUTION` Separate the data into separate categories trying to achieve an equal count of unique values within each bin given the specified number of bins.
`static int` | `CATEGORIZATION_EQUAL_INTERVAL` Separate the data into separate categories trying to achieve an equal interval spacing in the data given the specified number of bins.
`static int` | `CATEGORIZATION_NATURAL_BREAKS` Separate the data into separate categories based upon the natural breaks found within the data given the specified number of bins.
`static int` | `CATEGORIZATION_STANDARD_DEVIATION` Separate the data into separate categories based upon the standard deviation of the data values.
`static ConstantCollection` | `COLOR_PALETTE` COLOR_PALETTE enables a set of static actions associated with the public COLOR_PALETTE_ constants.
`static int` | `COLOR_PALETTE_COLOR_SPECTRUM` Use the `DataElementStyles` continuous ColorSpectrum property values when mapping a numeric value to a color value representation.
`static int` | `COLOR_PALETTE_THREE_COLOR_CONTINUOUS` Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation gradating (i.e. blending) the colors between levels.
`static int` | `COLOR_PALETTE_THREE_COLOR_CONTINUOUS_GRADIENT` Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation to produce a gradient fill in a graphic element (such as a bar or area).
`static int` | `COLOR_PALETTE_THREE_COLOR_DISCRETE` Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation keeping a constant color between levels.
`static int` | `COLOR_PALETTE_THREE_COLOR_DISCRETE_GRADIENT` Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation to produce a gradient fill in a graphic element (such as a bar or area).
`static int` | `COLOR_PALETTE_TWO_COLOR_CONTINUOUS` Use the `DataElementStyles` continuous TwoColor property values when mapping a numeric value to a color value representation gradating (i.e. blending) the colors between levels.
`static int` | `COLOR_PALETTE_TWO_COLOR_DISCRETE` Use the `DataElementStyles` continuous TwoColor property values when mapping a numeric value to a color value representation keeping a constant color between levels.
`static ConstantCollection` | `COLOR_RANGE` Deprecated. use COLOR_PALETTE
`static int` | `COLOR_RANGE_CONTINUOUS` Deprecated. use COLOR_PALETTE_THREE_COLOR_CONTINUOUS
`static int` | `COLOR_RANGE_DISCRETE` Deprecated. use COLOR_PALETTE_THREE_COLOR_DISCRETE
`static ConstantCollection` | `CONTINUOUS_VALUE_DISPLAY` CONTINUOUS_VALUE_DISPLAY enables a set of static actions associated with the public CONTINUOUS_VALUE_DISPLAY constants.
`static int` | `CONTINUOUS_VALUE_PLACEMENT_AUTOMATIC` Allows the graph to select its preferred style for rendering the range based on the current state of the graph.
`static int` | `CONTINUOUS_VALUE_PLACEMENT_MAJOR_TICK` Displays the major tickmarks only.
`static int` | `CONTINUOUS_VALUE_PLACEMENT_RANGE` Display range values only.
`static long` | `CUSTOM_OPTION_TABLEAXISMODEL_AUTORESIZE_ENABLED`
`static long` | `CUSTOM_OPTION_TILECHART_ZOOM_TO_DETAIL` This value specified on the GraphModel's customOptions property to tell the tile chart that has been zoomed in, to zoom down as many levels as needed to show new detail in the visible portion of the tile chart.
`static ConstantCollection` | `DATA_LABEL` DATA_LABEL enables a set of static actions associated with the public DATA_LABEL_ constants.
`static int` | `DATA_LABEL_AUTOMATIC` DATA_LABEL_AUTOMATIC is used by the labeling properties to clear all labels.
`static int` | `DATA_LABEL_CATEGORY` DATA_LABEL_CATEGORY is used by the labeling properties to place the formatted category name.
`static int` | `DATA_LABEL_CATEGORY_PERCENT` DATA_LABEL_CATEGORY_PERCENT is used by the labeling properties to display ...
`static int` | `DATA_LABEL_CATEGORY_RESPONSE` DATA_LABEL_CATEGORY_RESPONSE is used by the labeling properties to display ...
`static int` | `DATA_LABEL_CATEGORY_RESPONSE_PERCENT` DATA_LABEL_CATEGORY_RESPONSE_PERCENT is used by the labeling properties to display ...
`static int` | `DATA_LABEL_COLOR` DATA_LABEL_COLOR is used by the labeling properties to display the formatted color value.
`static int` | `DATA_LABEL_HEIGHT` DATA_LABEL_HEIGHT is used by the labeling properties to display the ...
`static int` | `DATA_LABEL_HEIGHT_PERCENT` DATA_LABEL_HEIGHT_PERCENT is used by the labeling properties to display the ...
`static int` | `DATA_LABEL_ID` DATA_LABEL_ID is used by the labeling properties to display the ...
`static int` | `DATA_LABEL_MEAN` DATA_LABEL_MEAN is used by the labeling properties to display the mean statistic of the response variable.
`static int` | `DATA_LABEL_NONE` DATA_LABEL_NONE is used by the labeling properties to clear all labels.
`static int` | `DATA_LABEL_PERCENT` DATA_LABEL_PERCENT is used by the labeling properties to display the percentage value, compared to the entire chart.
`static int` | `DATA_LABEL_RESPONSE` DATA_LABEL_RESPONSE is used by the labeling properties to place the formatted response value
`static int` | `DATA_LABEL_RESPONSE_PERCENT` DATA_LABEL_RESPONSE_PERCENT is used by the labeling properties to display ...
`static int` | `DATA_LABEL_SIZE` DATA_LABEL_SIZE is used by the labeling properties to display the formatted size value.
`static int` | `DATA_LABEL_SUBPERCENT` DATA_LABEL_SUBPERCENT is used by the labeling properties to display the percentage value within its curent scope.
`static int` | `DATA_LABEL_SUM` DATA_LABEL_SUM is used by the labeling properties to display the sum statistic of the response variable.
`static int` | `DATA_LABEL_WIDTH` DATA_LABEL_WIDTH is used by the labeling properties to display the ...
`static int` | `DATA_LABEL_WIDTH_PERCENT` DATA_LABEL_WIDTH_PERCENT is used by the labeling properties to display the ...
`static int` | `DATA_LABEL_X` DATA_LABEL_X is used by the labeling properties to place the formatted x value
`static int` | `DATA_LABEL_Y` DATA_LABEL_Y is used by the labeling properties to place the formatted y value
`static ConstantCollection` | `DATA_TIP` DATA_TIP identifies the public DATA_TIP_ constants.
`static int` | `DATA_TIP_APPEND` Variable used for Data Tip Variables Append Mode
`static int` | `DATA_TIP_REPLACE` Variable used for Data Tip Variables Remove Mode
`static ConstantCollection` | `DIMENSION` DIMENSION enables a set of static actions associated with the public DIMENSION_ constants.
`static int` | `DIMENSION_2D` Two dimensional rendering of the graph
`static int` | `DIMENSION_3D` Three dimensional rendering of the graph
`static ConstantCollection` | `DISPLAY` DISPLAY enables a set of static actions associated with the public DISPLAY_ constants.
`static int` | `DISPLAY_AUTOMATIC` This is the default value.
`static int` | `DISPLAY_FIT_TO_SCREEN` Force all cells to fit in the available area of the chart component.
`static int` | `DISPLAY_SCROLL_AS_NEEDED` If more space is needed using user-set or default sizes, enabling scroll bars is acceptable.
`static int` | `DISPLAY_SCROLL_ENABLED` Force all cells to fit in the available area of the chart component.
`static int` | `FALSE`
`static ConstantCollection` | `FIT` FIT enables a set of static actions associated with the public FIT_ constants.
`static int` | `FIT_AUTOMATIC` FIT_AUTOMATIC (applied to fit policies) specifies that the graph should choose the most appropriate fit algorithm given the current state of the graph.
`static int` | `FIT_BEST` FIT_BEST (applied to fit policies) specifies that the fit algorith yielding the best appearance should be used.
`static int` | `FIT_BEST_NO_THIN` FIT_BEST_NO_THIN (applied to fit policies) is the same as FIT_BEST except that thinning of non-continuous values not performed.
`static int` | `FIT_DASHBOARD` FIT_DASHBOARD (applied to fit policies) is a axis value fitting algorithm was designed to enhance the appearance of the axis values placed in dashboards (i.e. small constrained spaces).
`static int` | `FIT_FAST` FIT_FAST (applied to fit policies) specifies that speed is more imortant than appearance.
`static ConstantCollection` | `LAYOUT` LAYOUT enables a set of static actions associated with the public LAYOUT_ constants.
`static int` | `LAYOUT_AUTOMATIC` The Legend should layout itself based on it's location and size.
`static int` | `LAYOUT_COLUMN_MAJOR` Layout the legend in columns, with the number of columns specified with LegendModel.setLayoutCount(int).
`static int` | `LAYOUT_ROW_MAJOR` Layout the legend in rows, with the number of rows specified with LegendModel.setLayoutCount(int).
`static ConstantCollection` | `PALETTE` PALETTE enables a set of static actions associated with the public PALETTE_ constants.
`static int` | `PALETTE_AUTOMATIC` Allow the graph to determine the best display attributes to apply.
`static int` | `PALETTE_DISCRETE_STYLES` Apply the display attributes defined by the graph's discrete styles: FillStyles, LineStyles and MarkerStyles.
`static int` | `PALETTE_THREE_COLOR` Apply the colors defined by the graph's three-color ramps.
`static int` | `PALETTE_TWO_COLOR` Apply the colors defined by the graph's two-color ramps.
`static ConstantCollection` | `PLACEMENT` PLACEMENT enables a set of static actions associated with the public PLACEMENT_ constants.
`static int` | `PLACEMENT_ACROSS` PLACEMENT_ACROSS is used to identify a location with respect to another graph feature (typically the graph area).
`static int` | `PLACEMENT_ACROSS_CENTER` PLACEMENT_ACROSS_CENTER places labels centered on the display region's boundary
`static int` | `PLACEMENT_ACROSS_LEFT` PLACEMENT_ACROSS_LEFT places labels on the left side of the display region's boundary
`static int` | `PLACEMENT_ACROSS_RIGHT` PLACEMENT_ACROSS_RIGHT places labels on the right side of the display region's boundary
`static int` | `PLACEMENT_ARROW` PLACEMENT_ARROW will place outside labels justified at the left and right of the pie, with arrows connecting to appropriate slices.
`static int` | `PLACEMENT_AUTOMATIC` PLACEMENT_AUTOMATIC is used where the placement of a graphing element (such as a label) is decided dynamically by the graph based upon the current display and data settings.
`static int` | `PLACEMENT_BEST` PLACEMENT_BEST will place labels inside the pie slice unless the bounding box of the label text goes outside its slice, in which case, the (nin-fitting) labels will be moved outside.
`static int` | `PLACEMENT_CENTER` PLACEMENT_CENTER is used to identify a location within a graph feature (such as a legend).
`static int` | `PLACEMENT_HIGH` PLACEMENT_HIGH is used to identify a location with respect to some data feature (such as one would find on an axis).
`static int` | `PLACEMENT_INSIDE` PLACEMENT_INSIDE is used to identify a location with respect to another graph feature (typically the graph area).
`static int` | `PLACEMENT_INSIDE_CENTER` PLACEMENT_INSIDE_CENTER places labels centered on the inside of the display region
`static int` | `PLACEMENT_INSIDE_HIGH` PLACEMENT_INSIDE_HIGH places labels inside the region on the high side of the axis
`static int` | `PLACEMENT_INSIDE_LEFT` PLACEMENT_INSIDE_LEFT places labels on the inside left side of the display region
`static int` | `PLACEMENT_INSIDE_LOW` PLACEMENT_INSIDE_LOW places labels inside the region on the low side of the axis
`static int` | `PLACEMENT_INSIDE_RIGHT` PLACEMENT_INSIDE_RIGHT places labels on the inside right side of the display region
`static int` | `PLACEMENT_LEFT` PLACEMENT_LEFT is used to identify a location within a graph feature (such as a legend).
`static int` | `PLACEMENT_LOW` PLACEMENT_LOW is used to identify a location with respect to some data feature (such as one would find on an axis).
`static int` | `PLACEMENT_OUTSIDE` PLACEMENT_OUTSIDE is used to identify a location with respect to another graph feature (typically the graph area).
`static int` | `PLACEMENT_OUTSIDE_CENTER` PLACEMENT_OUTSIDE_CENTER places labels centered on the outside of the display region
`static int` | `PLACEMENT_OUTSIDE_LEFT` PLACEMENT_OUTSIDE_LEFT places labels on the outside left side of the display region
`static int` | `PLACEMENT_OUTSIDE_RIGHT` PLACEMENT_OUTSIDE_RIGHT places labels on the outside right side of the display region
`static int` | `PLACEMENT_RIGHT` PLACEMENT_RIGHT is used to identify a location within a graph feature (such as a legend).
`static int` | `PLACEMENT_UNDEFINED` PLACEMENT_UNDEFINED is only valid in GraphStyle placement properties and is used to signify that the placement value is to be ignored.
`static ConstantCollection` | `RADAR_TYPE` Deprecated. use RadarChartModel.RADAR_TYPE
`static int` | `RADAR_TYPE_POLYGON` Deprecated. use RadarChartModel.RADAR_TYPE_POLYGON
`static int` | `RADAR_TYPE_RADIAL` Deprecated.
`static int` | `RADAR_TYPE_SPOKE` Deprecated. use RadarChartModel.RADAR_TYPE_SPOKE
`static int` | `RADAR_TYPE_WEDGE` Deprecated. use RadarChartModel.RADAR_TYPE_WEDGE
`static java.lang.String` | `RB_KEY`
`static ConstantCollection` | `SKIN` SKIN enables visual changes to the graph elements in supported graph types.
`static int` | `SKIN_AUTOMATIC` Use a custom skin, if one has been set on a graph that supports custom skins.
`static int` | `SKIN_MODERN`
`static int` | `SKIN_NONE` Force skin to always be off.
`static int` | `SKIN_SATIN`
`static ConstantCollection` | `SORT` SORT enables a set of static actions associated with the public SORT_ constants.
`static int` | `SORT_ASCENDING` Apply a ascending sort order on the data values.
`static int` | `SORT_ASCENDING_FORMATTED` Apply an ascending sort order on the data values.
`static int` | `SORT_ASCENDING_UNFORMATTED` Apply an ascending sort order on the data values.
`static int` | `SORT_DESCENDING` Apply a descending sort order on the data values.
`static int` | `SORT_DESCENDING_FORMATTED` Apply a descending sort order on the data values.
`static int` | `SORT_DESCENDING_UNFORMATTED` Apply a descending sort order on the data values.
`static int` | `SORT_NONE` Apply a sort order based upon the order that the values are encountered as the data is being sequentually read.
`static ConstantCollection` | `SORT_STRATEGY` SORT_STRATEGY enables a set of static actions associated with the public SORT_STRATEGY_ constants.
`static int` | `SORT_STRATEGY_BINARY` Identifies that the sorting algorithm will utilize the java.lang.String.compareTo() operation to determine the order of strings.
`static int` | `SORT_STRATEGY_LINGUISTIC` Identifies that the sorting algorithm will compare each string as a whole word in the context of the locale in whihc it is associated.
`static ConstantCollection` | `STATISTIC` STATISTIC enables a set of static actions associated with the public STATISTIC_ constants.
`static int` | `STATISTIC_CUMULATIVE_FREQ` The graph elements represent the accumulation of the frequency counts
`static int` | `STATISTIC_CUMULATIVE_PERCENTAGE_FREQ` The graph elements represent the accumulation of the percentage of the frequency counts
`static int` | `STATISTIC_CUMULATIVE_PERCENTAGE_SUM` The graph elements represent the accumulation of the percentage of the sum of the data values
`static int` | `STATISTIC_CUMULATIVE_SUM` The graph elements represent the accumulation of the sum of the data values
`static int` | `STATISTIC_FIRST` The graph elements represent first data value found in the data source
`static int` | `STATISTIC_FREQ` The graph elements represent the frequency count
`static int` | `STATISTIC_LAST` The graph elements represent last data value found in the data source
`static int` | `STATISTIC_MAX` The graph elements represent the maximum (largest) data value found in the data source
`static int` | `STATISTIC_MEAN` The graph elements represent the the mean of the data values
`static int` | `STATISTIC_MIN` The graph elements represent the minimum (smallest or most negative) data value found in the data source
`static int` | `STATISTIC_PERCENTAGE_FREQ` The graph elements represent the percentage of the frequency counts
`static int` | `STATISTIC_PERCENTAGE_SUM` The graph elements represent the percentage of the sum of the data values
`static int` | `STATISTIC_SUM` The graph elements represent the sum of the data values
`static ConstantCollection` | `TICK_POSITION` TICK_POSITION enables a set of static actions associated with the public TICK_POSITION_ constants.
`static int` | `TICK_POSITION_ANCHORED_INTERVAL` Place a tick at the anchor and then place additional ticks at the increment of interval in both directions.
`static int` | `TICK_POSITION_AUTOMATIC` Place the tickmarks based on the current state of the graph
`static int` | `TICK_POSITION_COUNT` Divide the data range by count to get the interval and then place the ticks at the increment of interval starting at the beginning of the axis.
`static int` | `TICK_POSITION_DEFAULT` Place tickmarks by computing the appropriate interval based on data range.
`static int` | `TICK_POSITION_INTERVAL` Place the ticks at the increment of interval starting at the beginning of the axis.
`static int` | `TICK_POSITION_USER_DEFINED` Place a ticks at the values given in the majorTickUserDefinedValue property.
`static ConstantCollection` | `TIME_CONTEXT` TIME_CONSTANT specifies if the double value is a SAS date/datetime/time value or a Java date value.
`static int` | `TIME_CONTEXT_JAVA`
`static int` | `TIME_CONTEXT_SAS`
`static ConstantCollection` | `TIME_INTERVAL` TIME_INTERVAL enables a set of static actions associated with the public TIME_INTERVAL_ constants.
`static int` | `TIME_INTERVAL_DAY` Place tick values at the increment of day
`static int` | `TIME_INTERVAL_HOUR` Place tick values at the increment of hour
`static int` | `TIME_INTERVAL_MINUTE` Place tick values at the increment of miniute
`static int` | `TIME_INTERVAL_MONTH` Place tick values at the increment of month
`static int` | `TIME_INTERVAL_NONE` Compute tick values based on time values
`static int` | `TIME_INTERVAL_QUARTER` Place tick values at the increment of quater
`static int` | `TIME_INTERVAL_SECOND` Place tick values at the increment of sceond
`static int` | `TIME_INTERVAL_TENDAY` Place tick values at the increment of 10 days
`static int` | `TIME_INTERVAL_USER_DEFINED` Place tick values at the increment of day
`static int` | `TIME_INTERVAL_WEEK` Place tick values at the increment of week
`static int` | `TIME_INTERVAL_YEAR` Place tick values at the increment of year
`static ConstantCollection` | `TRENDLINE` TRENDLINE enables a set of static actions associated with the public TRENDLINE_ constants.
`static int` | `TRENDLINE_BASE` Display a trendline joining the ending position from one bar to the base (or starting) position of the successive bar.
`static int` | `TRENDLINE_NONE` Do not display a trendline.
`static int` | `TRENDLINE_VALUE` Display a trendline joining the ending position from one bar to the ending position of the successive bar.
`static ConstantCollection` | `TRI` TERNARY enables a set of static actions associated with the set public constants used for ternary properties.
`static int` | `TRUE`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### CUSTOM_OPTION_TABLEAXISMODEL_AUTORESIZE_ENABLED

    public static final long CUSTOM_OPTION_TABLEAXISMODEL_AUTORESIZE_ENABLED

### CUSTOM_OPTION_TILECHART_ZOOM_TO_DETAIL

    public static final long CUSTOM_OPTION_TILECHART_ZOOM_TO_DETAIL

  This value specified on the GraphModel's customOptions property to tell the tile chart that has been zoomed in, to zoom down as many levels as needed to show new detail in the visible portion of the tile chart. This may cause multiple levels to be zoomed with a single zoom action.

### AUTOMATIC

    public static final int AUTOMATIC

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### TRI

    public static final ConstantCollection TRI

  TERNARY enables a set of static actions associated with the set public constants used for ternary properties. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays Special note: The three states used here are TRUE, FALSE and AUTOMATIC.

### DISPLAY_AUTOMATIC

    public static final int DISPLAY_AUTOMATIC

  This is the default value. Allowing each chart to choice correct behavior.

  See Also:
    Constant Field Values

### DISPLAY_FIT_TO_SCREEN

    public static final int DISPLAY_FIT_TO_SCREEN

  Force all cells to fit in the available area of the chart component. Sizing hints and default sizes will likely be ignored to do this.

  See Also:
    Constant Field Values

### DISPLAY_SCROLL_AS_NEEDED

    public static final int DISPLAY_SCROLL_AS_NEEDED

  If more space is needed using user-set or default sizes, enabling scroll bars is acceptable. Allows very large graph matrices to be used, only viewing a small portion at a time. This should only be used in an interactive environment.

  See Also:
    Constant Field Values

### DISPLAY_SCROLL_ENABLED

    public static final int DISPLAY_SCROLL_ENABLED

  Force all cells to fit in the available area of the chart component. However, when the mouse enters the display area, zoom scrollbars appear. These allow the user to zoom in and scrolling to investigate the chart. If the chart has been zoomed, then the zoom scrollbar stays visible however if no zooming has occurred, the zoom scrollbars disappear when the mouse exits the display area. This is useful in an interactive environment.

  See Also:
    Constant Field Values

### DISPLAY

    public static final ConstantCollection DISPLAY

  DISPLAY enables a set of static actions associated with the public DISPLAY_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### DIMENSION_2D

    public static final int DIMENSION_2D

  Two dimensional rendering of the graph

  See Also:
    Constant Field Values

### DIMENSION_3D

    public static final int DIMENSION_3D

  Three dimensional rendering of the graph

  See Also:
    Constant Field Values

### DIMENSION

    public static final ConstantCollection DIMENSION

  DIMENSION enables a set of static actions associated with the public DIMENSION_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### BAR_SHAPE_BLOCK

    public static final int BAR_SHAPE_BLOCK

  3D Block Bar element shape

  See Also:
    Constant Field Values

### BAR_SHAPE_CYLINDER

    public static final int BAR_SHAPE_CYLINDER

  3D Cylinder Bar element shape

  See Also:
    Constant Field Values

### BAR_SHAPE

    public static final ConstantCollection BAR_SHAPE

  BAR_SHAPE enables a set of static actions associated with the public BAR_SHAPE_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### DATA_LABEL_AUTOMATIC

    public static final int DATA_LABEL_AUTOMATIC

  DATA_LABEL_AUTOMATIC is used by the labeling properties to clear all labels.

  See Also:
    Constant Field Values

### DATA_LABEL_NONE

    public static final int DATA_LABEL_NONE

  DATA_LABEL_NONE is used by the labeling properties to clear all labels.

  See Also:
    Constant Field Values

### DATA_LABEL_CATEGORY

    public static final int DATA_LABEL_CATEGORY

  DATA_LABEL_CATEGORY is used by the labeling properties to place the formatted category name.

  See Also:
    Constant Field Values

### DATA_LABEL_RESPONSE

    public static final int DATA_LABEL_RESPONSE

  DATA_LABEL_RESPONSE is used by the labeling properties to place the formatted response value

  See Also:
    Constant Field Values

### DATA_LABEL_X

    public static final int DATA_LABEL_X

  DATA_LABEL_X is used by the labeling properties to place the formatted x value

  See Also:
    Constant Field Values

### DATA_LABEL_Y

    public static final int DATA_LABEL_Y

  DATA_LABEL_Y is used by the labeling properties to place the formatted y value

  See Also:
    Constant Field Values

### DATA_LABEL_SIZE

    public static final int DATA_LABEL_SIZE

  DATA_LABEL_SIZE is used by the labeling properties to display the formatted size value.

  See Also:
    Constant Field Values

### DATA_LABEL_COLOR

    public static final int DATA_LABEL_COLOR

  DATA_LABEL_COLOR is used by the labeling properties to display the formatted color value.

  See Also:
    Constant Field Values

### DATA_LABEL_PERCENT

    public static final int DATA_LABEL_PERCENT

  DATA_LABEL_PERCENT is used by the labeling properties to display the percentage value, compared to the entire chart.

  See Also:
    Constant Field Values

### DATA_LABEL_CATEGORY_RESPONSE

    public static final int DATA_LABEL_CATEGORY_RESPONSE

  DATA_LABEL_CATEGORY_RESPONSE is used by the labeling properties to display ...

  See Also:
    Constant Field Values

### DATA_LABEL_CATEGORY_PERCENT

    public static final int DATA_LABEL_CATEGORY_PERCENT

  DATA_LABEL_CATEGORY_PERCENT is used by the labeling properties to display ...

  See Also:
    Constant Field Values

### DATA_LABEL_CATEGORY_RESPONSE_PERCENT

    public static final int DATA_LABEL_CATEGORY_RESPONSE_PERCENT

  DATA_LABEL_CATEGORY_RESPONSE_PERCENT is used by the labeling properties to display ...

  See Also:
    Constant Field Values

### DATA_LABEL_RESPONSE_PERCENT

    public static final int DATA_LABEL_RESPONSE_PERCENT

  DATA_LABEL_RESPONSE_PERCENT is used by the labeling properties to display ...

  See Also:
    Constant Field Values

### DATA_LABEL_SUBPERCENT

    public static final int DATA_LABEL_SUBPERCENT

  DATA_LABEL_SUBPERCENT is used by the labeling properties to display the percentage value within its curent scope.

  See Also:
    Constant Field Values

### DATA_LABEL_SUM

    public static final int DATA_LABEL_SUM

  DATA_LABEL_SUM is used by the labeling properties to display the sum statistic of the response variable.

  See Also:
    Constant Field Values

### DATA_LABEL_MEAN

    public static final int DATA_LABEL_MEAN

  DATA_LABEL_MEAN is used by the labeling properties to display the mean statistic of the response variable.

  See Also:
    Constant Field Values

### DATA_LABEL_WIDTH

    public static final int DATA_LABEL_WIDTH

  DATA_LABEL_WIDTH is used by the labeling properties to display the ...

  See Also:
    Constant Field Values

### DATA_LABEL_WIDTH_PERCENT

    public static final int DATA_LABEL_WIDTH_PERCENT

  DATA_LABEL_WIDTH_PERCENT is used by the labeling properties to display the ...

  See Also:
    Constant Field Values

### DATA_LABEL_HEIGHT

    public static final int DATA_LABEL_HEIGHT

  DATA_LABEL_HEIGHT is used by the labeling properties to display the ...

  See Also:
    Constant Field Values

### DATA_LABEL_HEIGHT_PERCENT

    public static final int DATA_LABEL_HEIGHT_PERCENT

  DATA_LABEL_HEIGHT_PERCENT is used by the labeling properties to display the ...

  See Also:
    Constant Field Values

### DATA_LABEL_ID

    public static final int DATA_LABEL_ID

  DATA_LABEL_ID is used by the labeling properties to display the ...

  See Also:
    Constant Field Values

### DATA_LABEL

    public static final ConstantCollection DATA_LABEL

  DATA_LABEL enables a set of static actions associated with the public DATA_LABEL_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### SORT_NONE

    public static final int SORT_NONE

  Apply a sort order based upon the order that the values are encountered as the data is being sequentually read.

  See Also:
    Constant Field Values

### SORT_ASCENDING

    public static final int SORT_ASCENDING

  Apply a ascending sort order on the data values. For character data the format is applied prior to the sorting. For numeric data the format is applied after the sorting.

  See Also:
    `ClassificationVariable`, Constant Field Values

### SORT_DESCENDING

    public static final int SORT_DESCENDING

  Apply a descending sort order on the data values. For character data the format is applied prior to the sorting. For numeric data the format is applied after the sorting.

  See Also:
    `ClassificationVariable`, Constant Field Values

### SORT_ASCENDING_FORMATTED

    public static final int SORT_ASCENDING_FORMATTED

  Apply an ascending sort order on the data values. The format is applied prior to the sorting.

  See Also:
    `ClassificationVariable`, Constant Field Values

### SORT_DESCENDING_FORMATTED

    public static final int SORT_DESCENDING_FORMATTED

  Apply a descending sort order on the data values. The format is applied prior to the sorting.

  See Also:
    `ClassificationVariable`, Constant Field Values

### SORT_ASCENDING_UNFORMATTED

    public static final int SORT_ASCENDING_UNFORMATTED

  Apply an ascending sort order on the data values. The format is applied after to the sorting.

  See Also:
    `ClassificationVariable`, Constant Field Values

### SORT_DESCENDING_UNFORMATTED

    public static final int SORT_DESCENDING_UNFORMATTED

  Apply a descending sort order on the data values. The format is applied after to the sorting.

  See Also:
    `ClassificationVariable`, Constant Field Values

### SORT

    public static final ConstantCollection SORT

  SORT enables a set of static actions associated with the public SORT_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### SORT_STRATEGY_LINGUISTIC

    public static final int SORT_STRATEGY_LINGUISTIC

  Identifies that the sorting algorithm will compare each string as a whole word in the context of the locale in whihc it is associated. This sorting algorithm should match the formula found in a dictionary respective to the region inwhich the dictionary resides. The emphasis on the locale is to acknowledge that in some locales the accent and case of letters may affect sorting differently than possibly other locales.

  See Also:
    Constant Field Values

### SORT_STRATEGY_BINARY

    public static final int SORT_STRATEGY_BINARY

  Identifies that the sorting algorithm will utilize the java.lang.String.compareTo() operation to determine the order of strings. This is basically a bitwase comparison of the unicode characters located in the string utilizing a binary tree sorting algorithm.

  See Also:
    Constant Field Values

### SORT_STRATEGY

    public static final ConstantCollection SORT_STRATEGY

  SORT_STRATEGY enables a set of static actions associated with the public SORT_STRATEGY_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### STATISTIC_LAST

    public static final int STATISTIC_LAST

  The graph elements represent last data value found in the data source

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_MEAN

    public static final int STATISTIC_MEAN

  The graph elements represent the the mean of the data values

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_FREQ

    public static final int STATISTIC_FREQ

  The graph elements represent the frequency count

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_PERCENTAGE_FREQ

    public static final int STATISTIC_PERCENTAGE_FREQ

  The graph elements represent the percentage of the frequency counts

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_CUMULATIVE_FREQ

    public static final int STATISTIC_CUMULATIVE_FREQ

  The graph elements represent the accumulation of the frequency counts

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_CUMULATIVE_PERCENTAGE_FREQ

    public static final int STATISTIC_CUMULATIVE_PERCENTAGE_FREQ

  The graph elements represent the accumulation of the percentage of the frequency counts

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_SUM

    public static final int STATISTIC_SUM

  The graph elements represent the sum of the data values

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_PERCENTAGE_SUM

    public static final int STATISTIC_PERCENTAGE_SUM

  The graph elements represent the percentage of the sum of the data values

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_CUMULATIVE_SUM

    public static final int STATISTIC_CUMULATIVE_SUM

  The graph elements represent the accumulation of the sum of the data values

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_CUMULATIVE_PERCENTAGE_SUM

    public static final int STATISTIC_CUMULATIVE_PERCENTAGE_SUM

  The graph elements represent the accumulation of the percentage of the sum of the data values

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_MIN

    public static final int STATISTIC_MIN

  The graph elements represent the minimum (smallest or most negative) data value found in the data source

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_MAX

    public static final int STATISTIC_MAX

  The graph elements represent the maximum (largest) data value found in the data source

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC_FIRST

    public static final int STATISTIC_FIRST

  The graph elements represent first data value found in the data source

  See Also:
    `AnalysisVariable`, Constant Field Values

### STATISTIC

    public static final ConstantCollection STATISTIC

  STATISTIC enables a set of static actions associated with the public STATISTIC_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### PLACEMENT_UNDEFINED

    public static final int PLACEMENT_UNDEFINED

  PLACEMENT_UNDEFINED is only valid in GraphStyle placement properties and is used to signify that the placement value is to be ignored.

  See Also:
    Constant Field Values

### PLACEMENT_AUTOMATIC

    public static final int PLACEMENT_AUTOMATIC

  PLACEMENT_AUTOMATIC is used where the placement of a graphing element (such as a label) is decided dynamically by the graph based upon the current display and data settings.

  See Also:
    Constant Field Values

### PLACEMENT_INSIDE

    public static final int PLACEMENT_INSIDE

  PLACEMENT_INSIDE is used to identify a location with respect to another graph feature (typically the graph area).

  See Also:
    Constant Field Values

### PLACEMENT_OUTSIDE

    public static final int PLACEMENT_OUTSIDE

  PLACEMENT_OUTSIDE is used to identify a location with respect to another graph feature (typically the graph area).

  See Also:
    Constant Field Values

### PLACEMENT_ACROSS

    public static final int PLACEMENT_ACROSS

  PLACEMENT_ACROSS is used to identify a location with respect to another graph feature (typically the graph area).

  See Also:
    Constant Field Values

### PLACEMENT_LEFT

    public static final int PLACEMENT_LEFT

  PLACEMENT_LEFT is used to identify a location within a graph feature (such as a legend).

  See Also:
    Constant Field Values

### PLACEMENT_RIGHT

    public static final int PLACEMENT_RIGHT

  PLACEMENT_RIGHT is used to identify a location within a graph feature (such as a legend).

  See Also:
    Constant Field Values

### PLACEMENT_CENTER

    public static final int PLACEMENT_CENTER

  PLACEMENT_CENTER is used to identify a location within a graph feature (such as a legend).

  See Also:
    Constant Field Values

### PLACEMENT_LOW

    public static final int PLACEMENT_LOW

  PLACEMENT_LOW is used to identify a location with respect to some data feature (such as one would find on an axis).

  See Also:
    Constant Field Values

### PLACEMENT_HIGH

    public static final int PLACEMENT_HIGH

  PLACEMENT_HIGH is used to identify a location with respect to some data feature (such as one would find on an axis).

  See Also:
    Constant Field Values

### PLACEMENT_ARROW

    public static final int PLACEMENT_ARROW

  PLACEMENT_ARROW will place outside labels justified at the left and right of the pie, with arrows connecting to appropriate slices.

  See Also:
    Constant Field Values

### PLACEMENT_BEST

    public static final int PLACEMENT_BEST

  PLACEMENT_BEST will place labels inside the pie slice unless the bounding box of the label text goes outside its slice, in which case, the (nin-fitting) labels will be moved outside.

  See Also:
    Constant Field Values

### PLACEMENT_INSIDE_LEFT

    public static final int PLACEMENT_INSIDE_LEFT

  PLACEMENT_INSIDE_LEFT places labels on the inside left side of the display region

  See Also:
    Constant Field Values

### PLACEMENT_INSIDE_CENTER

    public static final int PLACEMENT_INSIDE_CENTER

  PLACEMENT_INSIDE_CENTER places labels centered on the inside of the display region

  See Also:
    Constant Field Values

### PLACEMENT_INSIDE_RIGHT

    public static final int PLACEMENT_INSIDE_RIGHT

  PLACEMENT_INSIDE_RIGHT places labels on the inside right side of the display region

  See Also:
    Constant Field Values

### PLACEMENT_ACROSS_LEFT

    public static final int PLACEMENT_ACROSS_LEFT

  PLACEMENT_ACROSS_LEFT places labels on the left side of the display region's boundary

  See Also:
    Constant Field Values

### PLACEMENT_ACROSS_CENTER

    public static final int PLACEMENT_ACROSS_CENTER

  PLACEMENT_ACROSS_CENTER places labels centered on the display region's boundary

  See Also:
    Constant Field Values

### PLACEMENT_ACROSS_RIGHT

    public static final int PLACEMENT_ACROSS_RIGHT

  PLACEMENT_ACROSS_RIGHT places labels on the right side of the display region's boundary

  See Also:
    Constant Field Values

### PLACEMENT_OUTSIDE_LEFT

    public static final int PLACEMENT_OUTSIDE_LEFT

  PLACEMENT_OUTSIDE_LEFT places labels on the outside left side of the display region

  See Also:
    Constant Field Values

### PLACEMENT_OUTSIDE_CENTER

    public static final int PLACEMENT_OUTSIDE_CENTER

  PLACEMENT_OUTSIDE_CENTER places labels centered on the outside of the display region

  See Also:
    Constant Field Values

### PLACEMENT_OUTSIDE_RIGHT

    public static final int PLACEMENT_OUTSIDE_RIGHT

  PLACEMENT_OUTSIDE_RIGHT places labels on the outside right side of the display region

  See Also:
    Constant Field Values

### PLACEMENT_INSIDE_LOW

    public static final int PLACEMENT_INSIDE_LOW

  PLACEMENT_INSIDE_LOW places labels inside the region on the low side of the axis

  See Also:
    Constant Field Values

### PLACEMENT_INSIDE_HIGH

    public static final int PLACEMENT_INSIDE_HIGH

  PLACEMENT_INSIDE_HIGH places labels inside the region on the high side of the axis

  See Also:
    Constant Field Values

### PLACEMENT

    public static final ConstantCollection PLACEMENT

  PLACEMENT enables a set of static actions associated with the public PLACEMENT_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### LAYOUT_AUTOMATIC

    public static final int LAYOUT_AUTOMATIC

  The Legend should layout itself based on it's location and size. In general when the legend is on top or bottom it will contain as few rows as possible (in order to take up minimum height) and as few columns as possible when on the right or left.

  See Also:
    Constant Field Values

### LAYOUT_COLUMN_MAJOR

    public static final int LAYOUT_COLUMN_MAJOR

  Layout the legend in columns, with the number of columns specified with LegendModel.setLayoutCount(int). Used with LegendModel.getValueLayoutPolicy()

  See Also:
    Constant Field Values

### LAYOUT_ROW_MAJOR

    public static final int LAYOUT_ROW_MAJOR

  Layout the legend in rows, with the number of rows specified with LegendModel.setLayoutCount(int). Used with LegendModel.getValueLayoutPolicy()

  See Also:
    Constant Field Values

### LAYOUT

    public static final ConstantCollection LAYOUT

  LAYOUT enables a set of static actions associated with the public LAYOUT_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### TICK_POSITION_AUTOMATIC

    public static final int TICK_POSITION_AUTOMATIC

  Place the tickmarks based on the current state of the graph

  See Also:
    Constant Field Values

### TICK_POSITION_DEFAULT

    public static final int TICK_POSITION_DEFAULT

  Place tickmarks by computing the appropriate interval based on data range.

  See Also:
    Constant Field Values

### TICK_POSITION_COUNT

    public static final int TICK_POSITION_COUNT

  Divide the data range by count to get the interval and then place the ticks at the increment of interval starting at the beginning of the axis.

  See Also:
    Constant Field Values

### TICK_POSITION_INTERVAL

    public static final int TICK_POSITION_INTERVAL

  Place the ticks at the increment of interval starting at the beginning of the axis.

  See Also:
    Constant Field Values

### TICK_POSITION_ANCHORED_INTERVAL

    public static final int TICK_POSITION_ANCHORED_INTERVAL

  Place a tick at the anchor and then place additional ticks at the increment of interval in both directions.

  See Also:
    Constant Field Values

### TICK_POSITION_USER_DEFINED

    public static final int TICK_POSITION_USER_DEFINED

  Place a ticks at the values given in the majorTickUserDefinedValue property.

  See Also:
    Constant Field Values

### TICK_POSITION

    public static final ConstantCollection TICK_POSITION

  TICK_POSITION enables a set of static actions associated with the public TICK_POSITION_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### TIME_INTERVAL_NONE

    public static final int TIME_INTERVAL_NONE

  Compute tick values based on time values

  See Also:
    Constant Field Values

### TIME_INTERVAL_SECOND

    public static final int TIME_INTERVAL_SECOND

  Place tick values at the increment of sceond

  See Also:
    Constant Field Values

### TIME_INTERVAL_MINUTE

    public static final int TIME_INTERVAL_MINUTE

  Place tick values at the increment of miniute

  See Also:
    Constant Field Values

### TIME_INTERVAL_HOUR

    public static final int TIME_INTERVAL_HOUR

  Place tick values at the increment of hour

  See Also:
    Constant Field Values

### TIME_INTERVAL_DAY

    public static final int TIME_INTERVAL_DAY

  Place tick values at the increment of day

  See Also:
    Constant Field Values

### TIME_INTERVAL_WEEK

    public static final int TIME_INTERVAL_WEEK

  Place tick values at the increment of week

  See Also:
    Constant Field Values

### TIME_INTERVAL_TENDAY

    public static final int TIME_INTERVAL_TENDAY

  Place tick values at the increment of 10 days

  See Also:
    Constant Field Values

### TIME_INTERVAL_MONTH

    public static final int TIME_INTERVAL_MONTH

  Place tick values at the increment of month

  See Also:
    Constant Field Values

### TIME_INTERVAL_QUARTER

    public static final int TIME_INTERVAL_QUARTER

  Place tick values at the increment of quater

  See Also:
    Constant Field Values

### TIME_INTERVAL_YEAR

    public static final int TIME_INTERVAL_YEAR

  Place tick values at the increment of year

  See Also:
    Constant Field Values

### TIME_INTERVAL_USER_DEFINED

    public static final int TIME_INTERVAL_USER_DEFINED

  Place tick values at the increment of day

  See Also:
    Constant Field Values

### TIME_INTERVAL

    public static final ConstantCollection TIME_INTERVAL

  TIME_INTERVAL enables a set of static actions associated with the public TIME_INTERVAL_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### CONTINUOUS_VALUE_PLACEMENT_AUTOMATIC

    public static final int CONTINUOUS_VALUE_PLACEMENT_AUTOMATIC

  Allows the graph to select its preferred style for rendering the range based on the current state of the graph.

  See Also:
    Constant Field Values

### CONTINUOUS_VALUE_PLACEMENT_MAJOR_TICK

    public static final int CONTINUOUS_VALUE_PLACEMENT_MAJOR_TICK

  Displays the major tickmarks only.

  See Also:
    Constant Field Values

### CONTINUOUS_VALUE_PLACEMENT_RANGE

    public static final int CONTINUOUS_VALUE_PLACEMENT_RANGE

  Display range values only.

  See Also:
    Constant Field Values

### CONTINUOUS_VALUE_DISPLAY

    public static final ConstantCollection CONTINUOUS_VALUE_DISPLAY

  CONTINUOUS_VALUE_DISPLAY enables a set of static actions associated with the public CONTINUOUS_VALUE_DISPLAY constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### RADAR_TYPE_RADIAL

    public static final int RADAR_TYPE_RADIAL

  Deprecated.
  Axis lengths determined by response values.

  See Also:
    Constant Field Values

### RADAR_TYPE_SPOKE

    public static final int RADAR_TYPE_SPOKE

  Deprecated. use RadarChartModel.RADAR_TYPE_SPOKE
  A circle at the minimum value, with radiating axis lengths determined by response value.

  See Also:
    Constant Field Values

### RADAR_TYPE_POLYGON

    public static final int RADAR_TYPE_POLYGON

  Deprecated. use RadarChartModel.RADAR_TYPE_POLYGON
  Similar to RADAR_TYPE_WEDGE, but without axes.

  See Also:
    Constant Field Values

### RADAR_TYPE_WEDGE

    public static final int RADAR_TYPE_WEDGE

  Deprecated. use RadarChartModel.RADAR_TYPE_WEDGE
  Axes are displayed and points from each axis are connected. Default.

  See Also:
    Constant Field Values

### RADAR_TYPE

    public static final ConstantCollection RADAR_TYPE

  Deprecated. use RadarChartModel.RADAR_TYPE
  RADAR_TYPE enables a set of static actions associated with the public RADAR_TYPE_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### COLOR_RANGE_DISCRETE

    public static final int COLOR_RANGE_DISCRETE

  Deprecated. use COLOR_PALETTE_THREE_COLOR_DISCRETE
  Use the DataElementStyles continuousThreeColor values when mapping a numeric value to a color representation keeping a constant color between levels.

  See Also:
    Constant Field Values

### COLOR_RANGE_CONTINUOUS

    public static final int COLOR_RANGE_CONTINUOUS

  Deprecated. use COLOR_PALETTE_THREE_COLOR_CONTINUOUS
  Use the DataElementStyles continuousThreeColor values when mapping a numeric value to a color representation gradating (i.e. blending) the color between levels.

  See Also:
    Constant Field Values

### COLOR_RANGE

    public static final ConstantCollection COLOR_RANGE

  Deprecated. use COLOR_PALETTE
  COLOR_RANGE enables a set of static actions associated with the public COLOR_RANGE_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### COLOR_PALETTE_TWO_COLOR_DISCRETE

    public static final int COLOR_PALETTE_TWO_COLOR_DISCRETE

  Use the `DataElementStyles` continuous TwoColor property values when mapping a numeric value to a color value representation keeping a constant color between levels.

  See Also:
    `DataElementStyles.getContinuousFillTwoColorStartColor()`, `DataElementStyles.getContinuousFillTwoColorEndColor()`, Constant Field Values

### COLOR_PALETTE_TWO_COLOR_CONTINUOUS

    public static final int COLOR_PALETTE_TWO_COLOR_CONTINUOUS

  Use the `DataElementStyles` continuous TwoColor property values when mapping a numeric value to a color value representation gradating (i.e. blending) the colors between levels.

  See Also:
    `DataElementStyles.getContinuousFillTwoColorStartColor()`, `DataElementStyles.getContinuousFillTwoColorEndColor()`, Constant Field Values

### COLOR_PALETTE_THREE_COLOR_DISCRETE

    public static final int COLOR_PALETTE_THREE_COLOR_DISCRETE

  Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation keeping a constant color between levels.

  See Also:
    `DataElementStyles.getContinuousFillThreeColorStartColor()`, `DataElementStyles.setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `DataElementStyles.getContinuousFillThreeColorEndColor()`, Constant Field Values

### COLOR_PALETTE_THREE_COLOR_CONTINUOUS

    public static final int COLOR_PALETTE_THREE_COLOR_CONTINUOUS

  Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation gradating (i.e. blending) the colors between levels.

  See Also:
    `DataElementStyles.getContinuousFillThreeColorStartColor()`, `DataElementStyles.setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `DataElementStyles.getContinuousFillThreeColorEndColor()`, Constant Field Values

### COLOR_PALETTE_THREE_COLOR_DISCRETE_GRADIENT

    public static final int COLOR_PALETTE_THREE_COLOR_DISCRETE_GRADIENT

  Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation to produce a gradient fill in a graphic element (such as a bar or area). The gradient fill will use the neutral color and start color if the data value is below the baseline. The gradient fill will use the neutral color and the end color if the data value is above the baseline.

  See Also:
    `DataElementStyles.getContinuousFillThreeColorStartColor()`, `DataElementStyles.setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `DataElementStyles.getContinuousFillThreeColorEndColor()`, Constant Field Values

### COLOR_PALETTE_THREE_COLOR_CONTINUOUS_GRADIENT

    public static final int COLOR_PALETTE_THREE_COLOR_CONTINUOUS_GRADIENT

  Use the `DataElementStyles` continuous ThreeColor property values when mapping a numeric value to a color value representation to produce a gradient fill in a graphic element (such as a bar or area). The color for each bar is calculated the same as using COLOR_PALETTE_THREE_COLOR_CONTINUOUS but then rather than filling the bar with a solid color it is gradient filled using the baseline color and the calculated bar color. The direction fo the gradient is based upon the direction fo the bar.

  See Also:
    `DataElementStyles.getContinuousFillThreeColorStartColor()`, `DataElementStyles.setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `DataElementStyles.getContinuousFillThreeColorEndColor()`, Constant Field Values

### COLOR_PALETTE_COLOR_SPECTRUM

    public static final int COLOR_PALETTE_COLOR_SPECTRUM

  Use the `DataElementStyles` continuous ColorSpectrum property values when mapping a numeric value to a color value representation.

  See Also:
    `DataElementStyles.getContinuousColorSpectrum()`, Constant Field Values

### COLOR_PALETTE

    public static final ConstantCollection COLOR_PALETTE

  COLOR_PALETTE enables a set of static actions associated with the public COLOR_PALETTE_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### PALETTE_AUTOMATIC

    public static final int PALETTE_AUTOMATIC

  Allow the graph to determine the best display attributes to apply.
  This constant is applicable on the CategorizationModel's "paletteType" property.

  See Also:
    `GraphModel.getDataElementStyles()`, Constant Field Values

### PALETTE_DISCRETE_STYLES

    public static final int PALETTE_DISCRETE_STYLES

  Apply the display attributes defined by the graph's discrete styles: FillStyles, LineStyles and MarkerStyles. These styles are defined in the DataElementStyles class. The GraphModel class has a "dataElementStyles" property. Each Graph has a "graphModel" property.
  This constant is applicable on the CategorizationModel's "paletteType" property.

  See Also:
    `GraphModel.getDataElementStyles()`, Constant Field Values

### PALETTE_TWO_COLOR

    public static final int PALETTE_TWO_COLOR

  Apply the colors defined by the graph's two-color ramps. The two-color ramps are defined in the DataElementStyles class. The GraphModel class has a "dataElementStyles" property. Each Graph has a "graphModel" property.

  See Also:
    `GraphModel.getDataElementStyles()`, Constant Field Values

### PALETTE_THREE_COLOR

    public static final int PALETTE_THREE_COLOR

  Apply the colors defined by the graph's three-color ramps. The three-color ramps are defined in the DataElementStyles class. The GraphModel class has a "dataElementStyles" property. Each Graph has a "graphModel" property.

  See Also:
    `GraphModel.getDataElementStyles()`, Constant Field Values

### PALETTE

    public static final ConstantCollection PALETTE

  PALETTE enables a set of static actions associated with the public PALETTE_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### DATA_TIP_APPEND

    public static final int DATA_TIP_APPEND

  Variable used for Data Tip Variables Append Mode

  See Also:
    Constant Field Values

### DATA_TIP_REPLACE

    public static final int DATA_TIP_REPLACE

  Variable used for Data Tip Variables Remove Mode

  See Also:
    Constant Field Values

### DATA_TIP

    public static final ConstantCollection DATA_TIP

  DATA_TIP identifies the public DATA_TIP_ constants.

### TIME_CONTEXT_SAS

    public static final int TIME_CONTEXT_SAS

See Also:
  Constant Field Values

### TIME_CONTEXT_JAVA

    public static final int TIME_CONTEXT_JAVA

See Also:
  Constant Field Values

### TIME_CONTEXT

    public static final ConstantCollection TIME_CONTEXT

  TIME_CONSTANT specifies if the double value is a SAS date/datetime/time value or a Java date value.

### FIT_AUTOMATIC

    public static final int FIT_AUTOMATIC

  FIT_AUTOMATIC (applied to fit policies) specifies that the graph should choose the most appropriate fit algorithm given the current state of the graph.

  See Also:
    `AxisModel`, Constant Field Values

### FIT_BEST

    public static final int FIT_BEST

  FIT_BEST (applied to fit policies) specifies that the fit algorith yielding the best appearance should be used.

  See Also:
    `AxisModel`, Constant Field Values

### FIT_FAST

    public static final int FIT_FAST

  FIT_FAST (applied to fit policies) specifies that speed is more imortant than appearance. Fitting algorithms such as the axis value fit algorithms can be expensive when dealing with large number of data values.

  See Also:
    `AxisModel`, Constant Field Values

### FIT_BEST_NO_THIN

    public static final int FIT_BEST_NO_THIN

  FIT_BEST_NO_THIN (applied to fit policies) is the same as FIT_BEST except that thinning of non-continuous values not performed.

  See Also:
    `AxisModel`, Constant Field Values

### FIT_DASHBOARD

    public static final int FIT_DASHBOARD

  FIT_DASHBOARD (applied to fit policies) is a axis value fitting algorithm was designed to enhance the appearance of the axis values placed in dashboards (i.e. small constrained spaces). This strategy is primarily different from FIT_BEST in that it will not attempt to rotate the axis values and also it will not remove any values on a non-continuous axis while attempting to avoid collisions.

  See Also:
    `AxisModel`, Constant Field Values

### FIT

    public static final ConstantCollection FIT

  FIT enables a set of static actions associated with the public FIT_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### TRENDLINE_NONE

    public static final int TRENDLINE_NONE

  Do not display a trendline.

  See Also:
    Constant Field Values

### TRENDLINE_VALUE

    public static final int TRENDLINE_VALUE

  Display a trendline joining the ending position from one bar to the ending position of the successive bar.

  See Also:
    Constant Field Values

### TRENDLINE_BASE

    public static final int TRENDLINE_BASE

  Display a trendline joining the ending position from one bar to the base (or starting) position of the successive bar.

  See Also:
    Constant Field Values

### TRENDLINE

    public static final ConstantCollection TRENDLINE

  TRENDLINE enables a set of static actions associated with the public TRENDLINE_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### CATEGORIZATION_AUTOMATIC

    public static final int CATEGORIZATION_AUTOMATIC

  Allow the graph to select its preferred categorization strategy given the current state of the graph.

  See Also:
    Constant Field Values

### CATEGORIZATION_EQUAL_DISTRIBUTION

    public static final int CATEGORIZATION_EQUAL_DISTRIBUTION

  Separate the data into separate categories trying to achieve an equal count of unique values within each bin given the specified number of bins.

  See Also:
    Constant Field Values

### CATEGORIZATION_EQUAL_INTERVAL

    public static final int CATEGORIZATION_EQUAL_INTERVAL

  Separate the data into separate categories trying to achieve an equal interval spacing in the data given the specified number of bins.

  See Also:
    Constant Field Values

### CATEGORIZATION_NATURAL_BREAKS

    public static final int CATEGORIZATION_NATURAL_BREAKS

  Separate the data into separate categories based upon the natural breaks found within the data given the specified number of bins.

  See Also:
    Constant Field Values

### CATEGORIZATION_STANDARD_DEVIATION

    public static final int CATEGORIZATION_STANDARD_DEVIATION

  Separate the data into separate categories based upon the standard deviation of the data values. Standard deviation measures how spread out the values in a data set are by measureing the distances of the data values from the mean of the data. The greater the distance from the mean the greater the deviation. The standard deviation is calculated by taking the square root of the average of the squared distance of each value from the mean.

  See Also:
    Constant Field Values

### CATEGORIZATION

    public static final ConstantCollection CATEGORIZATION

  CATEGORIZATION enables a set of static actions associated with the public CATEGORIZATION_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

### SKIN_AUTOMATIC

    public static final int SKIN_AUTOMATIC

  Use a custom skin, if one has been set on a graph that supports custom skins. Otherwise, use SKIN_NONE.

  See Also:
    Constant Field Values

### SKIN_NONE

    public static final int SKIN_NONE

  Force skin to always be off.

  See Also:
    Constant Field Values

### SKIN_SATIN

    public static final int SKIN_SATIN

See Also:
  Constant Field Values

### SKIN_MODERN

    public static final int SKIN_MODERN

See Also:
  Constant Field Values

### SKIN

    public static final ConstantCollection SKIN

  SKIN enables visual changes to the graph elements in supported graph types. Generally, this means one or more images are layered with the bar/pie slice/marker/... to give a more shiny, less flat appearance.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.